Download it now!
Bug 50350 - Setup source and symbol server for Windows
Summary: Setup source and symbol server for Windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Windows (All)
: medium enhancement
Assignee: Fridrich Strba
URL:
Whiteboard:
Keywords: difficultyInteresting, easyHack, skillInfra, topicDebug, topicWeb
Depends on:
Blocks:
 
Reported: 2012-05-25 05:59 UTC by Petr Mladek
Modified: 2016-02-18 16:37 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 3 Michael Meeks 2012-08-14 08:14:39 UTC
You're working on this right Fridrich ? :-)
Comment 4 Fridrich Strba 2013-04-03 10:42:40 UTC
There is a test symbol server available on http://dev-builds.libreoffice.org/windows-debug/symbols. It contains symbols for builds whose installers can be found at http://dev-builds.libreoffice.org/windows-debug/msi

I am just writing the instructions in wiki how to get a trace with WinDBG. I tried it in a clean virtual machine with WinDBG, Visual Studio 2008 and Visual Studio 2010 and was able to set breakpoints and have them hit.
Comment 5 Jesus Corrius 2013-04-03 10:47:41 UTC
With that, you should be able to enable the automatic crash reports on Windows again and get some meaningful crash report information.
Comment 6 bfoman (inactive) 2013-05-11 15:43:55 UTC
Great news. Hope this will be refreshed every minor release and added to SI GUI eventually. It will make delivering backtraces for Windows an easier task.
BTW: is it possible to put there sources archive to download and make backtraces even more useful for developers?
Comment 7 Björn Michaelsen 2013-10-04 18:46:42 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 8 bfoman (inactive) 2013-12-20 17:44:18 UTC
Starting with 4.2.0rc1 you can get pdb files for debugging the release builds. The symbol server's URL is:

http://dev-downloads.libreoffice.org/symstore/symbols

For daily debug builds use http://dev-builds.libreoffice.org/daily/master/Win-x86@39/current to get a debug build with the symbols available at:

http://dev-builds.libreoffice.org/daily/master/Win-x86@39/symbols
Comment 9 Christian Lohmaier 2014-01-10 20:04:40 UTC
Hi *,

And with 4.2.0rc2, the symbol files are also source-indexed, so closing this one as fixed :-)

source-fetching command is using powershell command to download from cgit.freedesktop.org (that means Windows XP and Vista users need to install it manually, as I think it is not installed automatically with SP3) - if you have other suggestion that works across windows versions and is a better option, feel free to suggest alternatives.

The source-indexing only covers files that are used untouched from the checkout. I.e. created headers or files from the external components that are built as part of LibreOffice are not included.
Comment 10 pasqual milvaques 2014-01-14 13:00:24 UTC
something has broken with this lately, access to:
http://dev-downloads.libreoffice.org/symstore/symbols/

gives a '403 Forbidden' response message
Comment 11 V Stuart Foote 2014-01-14 15:37:33 UTC
(In reply to comment #10)
> something has broken with this lately, access to:
> http://dev-downloads.libreoffice.org/symstore/symbols/
> 
> gives a '403 Forbidden' response message

That is normal. Per Christian, and in weeks of practice, the dbghelp.dll will correctly parse the symbols repo.  Not intended that you be able to browse the content with a web browse.
Comment 12 bfoman (inactive) 2014-01-14 15:45:24 UTC
Back to FIXED.
Comment 13 Robinson Tryon (qubit) 2015-12-16 00:39:07 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyInteresting SkillInfra TopicDebug TopicWeb)
[NinjaEdit]
Comment 14 Robinson Tryon (qubit) 2016-02-18 16:37:14 UTC
Remove LibreOffice Dev List from CC on EasyHacks
(curtailing excessive email to list)
[NinjaEdit]